Happy Easter! .

ZenMaster Wolfgang says:

“Travelling two roads at once
will lead nowhere,
so keep your wheels aligned.”

SERVIGE AND REPAIRS FOR ALL DOMESTIC & IMPORT CARS & LIGHT TRUCKS

#3 - 290 Park Drive Below Dagwoods, behind car wash. Open: Monday - Friday 8am - 5pm
You know you
live in a really
small town when
everyone knows

that you’ve lost
your job before you
even do!

And learning about
our local businesses and people has
come hand-in-hand with publishing
The Islands Marketplace, but
respectfully yours, I’ll only mention
the nice stuff.

Here goes...

The buzz this weekend is about
the SS Art Council’s Island Arts
Tour, with over 39 art galleries,
studios and exhibits - it is becoming
an annual Easter Weekend Tradition
- much like the Sunday Open House
at the SS Cheese Farm on Reynolds
Road. A family favourite with baby
critters to hold and pet, cheese
tasting, demos and sales as well as
the Easter Bunny’s Egg Hunt.

But if you’re a night owl, then you
can’t miss raising a glass (or twelve)
to local entertainer Dave Jacquest as
he welcomes the 40s (gracefully?)
at the Harbour House this Saturday
night.

Carol Evans Book Launch and
signing at Gallery 8 last Friday
was a huge success with the “who’s
who” of the Salt Spring Art Scene in
attendance. If you didn’t make it, you
haven’t missed out, as her stunning
work is still on display. And...

Don’t miss Gallery 8’s Grand
Opening on Saturday, April 17,
as new owner and artistic director
Razali Wahab welcomes you.

Watch for Art Marketing Guru
Duart Campbell’s New Online
Magazine “Art Lover’s Get Away”

What's all the Buzz About?

Carol Evans, master of watercolour shares a passage from her new book
“The Shores We Call Home,” at her book launch and signing last Friday at
Gallery 8.

which will be launched sometime
this month, putting our local talent
in the global spotlight.

In print soon will be the Parc
office’s new Island Guide.... with
info on island recreation.

Other grand openings to
anticipate include a new Chinese
Food Restaurant where Ganges
Tea previously was. Also Celeste
Mallet has been working hard to get
her two new Ganges Yoga Studio
locations up and running soon. Her
opening is slated for April 10.

Probably the biggest renovation
that everyone has been buzzing
about is Country Grocer’s
expansion that will include a new
deli and a coffee shop area - does
that mean no more chatting in the
aisle’s Paul?

The Stagecoach Theatre School’s
Cast and crew has been as busy as
bees putting together their final

WANT YOUR PHOTO ON THE COVER OF THE ISLANDS

touches and rehearsals for their
latest creation of “Oliver”... and
if you saw Peter Pan last year,
you will again be amazed by the
talent and energy of our young
island actors and actresses. Don’t
miss out on the two shows only at
ArtSpring on April 16 and 17.

And last but certainly not least,
as I write this, I cannot forget
to mention our heartfelt wishes
for a complete and full recovery
for Barb and Michael Levy as
they recover from their kidney
transplant surgeries.

How incredibly brave and
generous of Barb - it is our small
town attitudes and care that will
welcome them both home and lift
their spirits as they recover in the
coming weeks.

This issue is devoted to Spring
Improvement and with every
issue and every story, we believe
we are improving, along with our
community and the incredible
people who share it. ~ Sandi

MARKETPLACE? CALL US AT 537-2905 .
Poystila
THE ISLANDS About The Islands Marketplace:
Marketolace s a0 g o el i s e
Sandi & Andrew Poystila ’ ]

FREE LOCAL CLASSIFIED ADVERTISING i EVERY SECOND FRIDAY

301 Mobrae Avenue,
Saltspring Island, BCV8K 1J7
Toll Free: 1-877-537-2905
info@islandsmarketplace.com
dropping your written ad off at Apple Photo. You can also mail it to us via
Canada Post. Your ad will run for 3 issues and be coded with a number
indicating the month and date that it will stop running. To repeat or delete
your ad, please contact us. Ads may be edited for space or omitted for
content. We accept no responsibility for errors or omissions. Our goal is
to promote recycling and local small business with affordable advertising.
We cover our printing, distribution and administration costs with paid
business advertising. Press releases, stories and photos are always
welcome and greatly encouraged.

The Islands Marketplace reserves the right to revise or reject any advertisement. The Islands Marketplace is not responsible for any errors
or omissions and is not liable for any damages resulting therein. Editorial content does not necessarily reflect the opinions of the publisher.
All material contained in The Islands Marketplace publication is protected by Canadian copyright law and reproduction in whole or in
part is prohibited without the express permission from its publisher. © 2010 The Islands Marketplace.
ANIMALS & ACCESS

We are leaving the island and going
to travel for a while. We have a 7 year
old all black cat in the prime of life
we would like to find a loving home
for. Blackie is a happy guy: indepen-
dent but loving, a real lap cat, and is
playful as well. Definitely needs to be
indoor/outdoor. He is healthy, been
lovingly cared for, spayed, shots, has
had vet check ups, etc.. Any cat lover
would enjoy Blackie’s company, he’s
just a cool dude, very sweet. Please
let us know if you are interested.
250-538-1638. 04-30

Free lease or sale (to approved home)
16 h.h. bold, beautiful buckskin/
grey Irish draft x warmblood mare.
“Tashi” is 6 years old and has been
started and backed by pro. training
for 6 months last year. Sweet tem-
perament, but still green. Ready for
a quiet, firm leader. Call Caroline at
250-537-5761. 04-30

Cockatiels.. $20 each. Budgies.....$10
each. Finches....$10 each. Some
cages available. Phone: 250-537-
4172. 04-30

2 carpeted cat trees. $25 for the pair.
Phone: 250-537-2335. 04-16

Free female grey and white cat.
About 2 years old, spade. Friendly
but not really a lap cat. The cat has
decided to move out on account of
our dog. Comes with a carry case.
Phone: 250-931-7679. 04-16

17 1/2” Barnsby all purpose saddle.
all leather c/w leathers and stirrups.
Bridle, girths, brushes, saddle pads,
gtc. $1200 obo. 537-5482. 04-02

ANTIQUES

Vintage and antique items: unusual
oval nesting tables, 4 legged brass
footed base (24”H x19”x24”); ornate
(5pc) swivelling globe silver butter
server; cranberry cruet; Cornflower
Pitcher and (4 tumbler) glass set;
crystal/ silver swan design salt cellar
with spoon; depression glass plat-
ters. Pictures avail. Phone: 250-537-
8394. 04-16

PRETZEL MOTORS

ANTIQUES

1880s  victorian  buffet,  solid
oak,beveled mirrors,excellent craft-
manship $1500. wood cookstove with
warming oven, early 1900s,in working
cond $950. 250-538-7048. 04-16

APPLIANCES

2008 Kenmore 18.2 cuft self defrost
fridge, white - $450. Norge 30" self
clean stove and Nutone over range
fan/hood- $150. Call Richard 538-
8656. 04-30

Dyson DC-14 vacuum. Works great
but needs the attachment hose $150.
Phone: 250-537-2335. 04-16

AUTOS FOR SALE

Great van, Mazda MPV 4X4 1991,
218 km In good working order, ev-
erything works, very reliable. Lots of
room, good on gas. Great for family
or as your work (tools) van .2500
$if you need car you will not regret,
phone and we will get a deal. 250-
537-4143. 04-30

Black 2002 Honda Civic $8000.00
0.B.0. Phone: 250-537-1815. 04-30

1991 Subaru Loyale, runs well in
reasonable shape,some rust. Needs
minor brake work. $500 as is or will
trade for garden or kayak equipment.
Gary or Anna. Ph: 537-5793. 04-16

ARTS & CRAFTS

100% Canadian Organic Hemp hull
for use in stuffing - $2.50/1b - bulk
discounts available. Call Gaurang 250
537-1792 or visit www.destinationom.
com.

AUTOS FOR SALE

1986 Gold Ford T-Bird. In good condi-
tion, less than 200k, automatic, sun-
roof, stereo, great tires. First $500.00
takes it. Easy to view! Phone: 250-
931-1008. 04-30

Ford F 150 runs needs to warm up for
about a 30 sec 1st needs new brake
pads and lines need to be looked at
start every time just got a new battery
and new terminals $400 obo ask for
haydn when you phone: (250)-537-
4512. 04-30

1992 Chrysler Acclaim 4 dr. sedan 4
cyl. low km.175000 car has been in
garage for 6 years runs well, good on
gas. clean, only $950. 250 538-1789
matthew.. 04-30

1985 Toyota Corolla Island Car. Runs
well, good rubber, 157K, needs muf-
fler re-attached. First $400 takes it.
Phone: (250) 537 9020. 04-30

1994 Toyota Rav4, right hand drive,
2 door, auto, air, pw, pl, 74000 kim,
$7,000. Phone: 250-923-2485. Camp-
bell River. 04-30

&»

319 Rainbow Road
Saltspring Isl. B.C.
V8K 2M4

Tel: 250.537.4331

WE FRE PASSIONATE AB0NT Y OUR CHR

Estate Sale - 1995 Mercury Mystique,
130,000k, no accidents, no rust, air
bags, air conditioning, cruise control,
great overall condition. Pre-purchase
inspection done for you by Ganges
Auto Marine. $3000. Call 250-537-
4012. 04-16

Hard to Find a 2nd Owner selling
her loved Westy. 142,002 miles on
body, rebuilt 4 ¢yl and 5 sp standard
in 2004 for $4900. All receipts and
regular servicing since 1988. Very
Fun to own and drive! Runs & Drives
Great! $6995 obo Victoria. 250-595-
0401. 04-16

PRICE REDUCED for Quick Sale:
1989 Trooper 4x4, 4 cyl. good tires
with recent new head on motor. Exc.
island vehicle. $1200. 537-8969. 04-
30

Be Good to our planet
Recycle thig Paper!!

Coming soon...

Accommodatlons
and B&B Lj

for 20 weeks for onIy

$259.00

Thats 15% off our
regular ad price!

This deal includes two ads on
our website with a link to your
website and Ad placement
on Page 3...

PLUS graphic design
PLUS photos and story...
ADVERTISE NOW for
summer B&B bookings!

20 weeks of print
advertising PLUS
website ad and link
from our site to yours.
Ad size is
1.75 x 1.5 inches
Includes Ad design.
Only 6 spots available.

www.islandsmarketplace.com

PAUL B.

Barrister & Solicitor

JOYCE

FREE
Initial
Consultation

OVER 25 YEARS EXPERIENCE WITH

PERSONAL INJURY &
ICBC CLAIMS

ALL INJURIES HANDLED

* AUTOMOBILE -

* PEDESTRIAN °

* MOTORCYCLE °
* BICYCLE °

* WRONGFUL DEATH -
* INJURY ON PROPERTY -

IF YOU ARE INVOLVED IN AN ACCIDENT
AND HAVE A CLAIM YOU SHOULD
CONSULT A LAWYER BEFORE SETTLING

265 DON ORE ROAD
SALT SPRING ISLAND, BC
V8K 2H5

Tel: (250) 537-4413

(24 hours)
"The Islands Marketplace CALENDAR OF EVENTS

FRIDAY, APRIL 2

SUNDAY, APRIL 4

Rugg Huggers Baby & Parent Drop-
In, 10:00-1:00 (includes light lunch) at
Family Place, 120 Park Dr. (Behind All
Saints Anglican Church). 250-537-9176.
familyplace@ssics.ca.

At the Fritz Ginema this week - Held Over
- How to Train your Pet Dragon. Call
537-4656 for showtimes.

Mexico Gity and the Russian Play - 2 one
act plays by Canadian playwright Hanna
Moscovitch at ArtSpring at 8pm.

Easter Sunday Church Services

MONDAY, APRIL 5

Toastmasters Speaking at 7pm in the
Crofton Room, Harbour House Hotel.537-
2581. Guests Welcome.

Parent - Child Drop-in, 9:00 - 12:30, at
Family Place, 120 Park Dr. (Behind All
Saints Anglican Church). 250-537-9176.
familyplace@ssics.ca

TUESDAY, APRIL 6

Live Music with Velvet & Kuba Oms at
Moby’s Oyster Bar & Grill. 8pm.

Roller Blading at the Fulford Hall on
Saltspring from 7:30 to 9pm.

Easter Music Celebration with SS United
Church Choir and Bach no the Rock at
the United Church at 7:30pm

SATURDAY, APRIL 3

Dad ‘n’ Me - Meet and eat pancakes with
dads and kids at Family Place at 120
Park Drive, 8:30-10:30 a.m. 537-9176.

Saturday Market in the Park at Gentennial
Park in the Heart of Ganges, Fresh
organic produce and creative local arts
& crafts.

Easter Music Celebration with SS United
Church Choir and Bach no the Rock at
the United Church at 2pm

Celebrate David Jacquest's 40th birthday
with ... the Mancubs, Aaron Trory,
Sharon Bailey & the Skinny Dippers,
Palu Rainbowsong, Pogo & the Carrot
Revolution @ the Harbour House Green
Room from 7pm to 11pm. Admission by
donation. KIDS WELCOME!!!

DJ with DJ Hotness at Moby’s Oyster Bar
& Grill. 8pm.

Neighbourhood Night from 8 to 11 p.m.
at the Raven Street Cafe.

Randy’s Vinyl Tap Radio Show from 7-9 pm
on CBC Radio 1, Sirius Channel 137.

SUNDAY, APRIL 4

Argentine Practica at the Core Inn, 4:30
- 6:30pm $5 Beginners Welcome! Info:
Karen Pedersen 250.653.4589.

SPCA Easter Egg Hunt at 11am, Sharp
Rd.

SS Cheese Farm Easter Egg Hunt and
Open House. Baby animals cheese
tasting, sales and demos, easter bunny
and family fun! 285 Reynolds Rd, 10am

Rainbow Road Pool - Twoonie Swim
from 1:30 - 5:30. 537-1402 for info.

Jazz Night at Moby’s Oyster Bar & Grill.
8pm.

Cuban Salsa Classes at the Mahon Hall
on Sundays from 6-8 pm. Registration,
payment & demo on Tuesday April 6 at the
Ganges Middle School dance studio, 6 PM.
$80 for the 8 week program. Phone: 250
653 4239.

Osho Kundalini Moving Meditation from
5:30 tp 6:30pm. Call Amarita at 537-2799

Eckhart Tolle Practicing Presence Group
from 7:30 - 9pm. Call 537-2799 for info.

WEDNESDAY, APRIL 7

Alan Moberg! a new radio show hosted
by our one and only Alan Moberg, at noon.
Listen in on cfsi-fm 107.9, or on internet at
www.cfsi-fm.com.

Contemporary Dance class with Rob-
byn Scott and Anna Haltrecht from 5
to 6:30pm. Call for location & informa-
tion: 250-537-5681. $10 drop-in.

ArtSpring presents: violinist Angele
Dubeau & renowned string orchestra
La Pieta at 8pm. Pre concert chat at
7pm

FRIDAY, APRIL 9

WEDNESDAY, APRIL 14

Helix Dance Theatre at ArtSpring at 7:30
p.m. Parksville-based dance troupe
presents their debut performance.

SATURDAY, APRIL 10

Dad ‘n’ Me - Meet and eat pancakes with
dads and kids at Family Place at 120 Park
Drive, 8:30-10:30 a.m. 537-9176.

Alan Moberg! a new radio show hosted
by our one and only Alan Moberg, at
noon. Listen in on cfsi-fm 107.9, or on
internet at www.cfsi-fm.com

THURSDAY, APRIL 15

Blues Night with Soul Shakedown at
Moby’s Oyster Bar & Grill. 8pm.

SS Centre School 2nd Annual Art Lot-
tery at 7 p.m. Salt Spring artists have
donated pieces of art with @ minimum
value of $100 each. tickets must be
purchased in advance--sold at Gecko
Green Living and Salt Spring Books.
Public viewing of the art Friday 1-5
p.m. and Saturday 11 a.m. - 5 p.m.
ArtSpring

Randy’s Vinyl Tap Radio Show from 7-9 pm on
CBC Radio 1, Sirius Channel 137.

Neighbourhood Night from 8 to 11 p.m. at
the Raven Street Cafe.

Live Music with The Jessica Stuart Few at
Moby’s Oyster Bar & Grill. 7pm to 10pm.
SUNDAY, APRIL 11

Cuban Salsa Classes at the Mahon Hall on
Sundays from 6-8 pm. Ph: 250 653 4239.
Argentine Practica at the Core Inn, 4:30
- 6:30pm $5 Beginners Welcome! Info:
Karen Pedersen 250.653.4589.

Rainbow Road Pool - Twoonie Swim from
1:30 - 5:30. 537-1402 for info.

Jazz with Preston & Bonkowski at Moby’s
QOyster Bar & Grill. 7pm to 10pm.

MONDAY, APRIL 12

THURSDAY, APRIL 8

Thinking Like an Artist & Naturalist - Robert
Bateman... SSI Conservancy fundraising
event at ArtSpring at 6:30pm. Live auction,
multimedia presentation and more.

Blues Night with Soul Shakedown at
Moby’s Oyster Bar & Grill. 8pm.

FRIDAY, APRIL 9

Rugg Huggers Baby & Parent Drop-
In, 10:00-1:00 (includes light lunch) at
Family Place, 120 Park Dr. (Behind Al
Saints Anglican Church). 250-537-9176.
familyplace@ssics.ca.

Library StoryTime: Terrific Tales. Join Clare
and the the letter T for stories and fun. For
children in early grades and pre-schoolers.
1 p.m. at the library.

Live Music To Be Announced at Moby’s
Oyster Bar & Grill. 8pm.

Roller Blading at the Fulford Hall on
Saltspring from 7:30 to 9pm.

Toastmasters Speaking at 7pm in the
Crofton Room, Harbour House Hotel.537-
2581. Guests Welcome.

Parent - Child Drop-in, 9:00 - 12:30, at
Family Place, 120 Park Dr. (Behind All
Saints Anglican Church). 250-537-9176.
familyplace@ssics.ca

TUESDAY, APRIL 13

Circuit Training from 5:30 - 6:30pm $10
drop-in, 8 or more people, just $5. Free for
first time. Call Val at 250-538-7447.
Osho Kundalini Moving Meditation from
5:30 tp 6:30pm. Call Amarita at 537-2799
Eckhart Tolle Practicing Presence Group
from 7:30 - 9pm. Gall 537-2799 for info.

WEDNESDAY, APRIL 14

Contemporary Dance class with
Robbyn Scott and Anna Haltrecht
from 5 to 6:30pm. Call for location &
information: 250-537-5681. $10 drop-
in.

FRIDAY, APRIL 16

Rugg Huggers Baby & Parent Drop-
In, 10:00-1:00 (includes light lunch) at
Family Place, 120 Park Dr. (Behind All
Saints Anglican Church). 250-537-9176.
familyplace@ssics.ca.

StageCoach Theatre School - FAMILY
ENTERTAINMENT - OLIVER. Directed
by Maggie 0’Scalleigh and Adina Hil-
debrandt at 7 p.m. at ArtSpring The-
atre. Tickets on sale now - $12 for
adults, $8 for kids under 12. SPECIAL
GROUP RATES. Get your tickets to-
day! A kids theatre project that is not
to be missed.

S S Painters Guild is proud to present
35 plus artists original work titled “Patch
Work of colour”. from April 16 - 29.
There will be a Silent auction of selected
art on April 16 and april 17 at ArtSpring
Theatre

Library StoryTime: Under the Umbrella
Stories for April showers. For children in
early grades and pre-schoolers. 1 p.m. at
the library.

Roller Blading at the Fulford Hall on
Saltspring from 7:30 to 9pm.

SATURDAY, APRIL 17

Dad ‘n” Me - Meet and eat pancakes with
dads and kids at Family Place at 120 Park
Drive, 8:30-10:30 a.m. 537-9176.
Saturday Market in the Park is back!

Live Music with Tal Bachman and the
Imposters at Moby’s 8pm.

‘Not a Café’ Rawsome Kitchen. Rawsome
‘Mediterranean’ Night Out - starting at
7PM. $35 per person. Reservations 250-
537-2048 or rawsome@shaw.ca.
StageCoach Theatre School - FAMILY
ENTERTAINMENT - OLIVER at 2 p.m.
at ArtSpring Theatre. Tickets on sale
now - $12 for adults, $8 for kids un-
der 12. SPECIAL GROUP RATES. Get
your tickets today!

UPCOMING EVENTS

Send your free community event info
to info@islandsmarketplace.com or
call 537-2905 to get included in the
next calendar.

** ALL EVENTS LISTED ABOVE ARE LOCATED ON SALTSPRING ISLAND, UNLESS OTHERWISE NOTED.
Advertise your event here! Email : info@islandsmarketplace.com for the next edition - April 16
AUTOS FOR SALE

AUTOS FOR SALE

1992 Subaru Legacy Wagon. EXCEL-
LENT condition, no rust, she runs ex-
tremely well. Roof racks, trailer hitch,
cargo cover. Well maintained by
present and previous owners. FWD,
4 new winter tires, 2 new all-seasons,
manual. “Lucia” seeks a loving home!
$4900. 250-526-00046. 04-16

1996 Chevy Blazer LS 4x4, 4 door, 6
cylinder, automatic, good condition,
clean. $3500. 537-2950. 04-16

1988 Grand Marquis. Black with red
interior, all power. Good condition, no
rust, near new tires. $800 firm. 537-
5482. 04-02

2005 Honda Civic Hybrid for sale
(low mileage) - $14000; 44,000 miles
(71,000 kms) Sedan, Automatic, blue.
Front-wheel drive, Fuel Type Hybrid-
Electric. Vehicle imported 3 years ago
from US by Bombardier Executive.
Has been giving me almost 100 kms
with each 6 liters of gas. Mechanical
inspection done on Feb 6, 2010. All
documents available. Very clean inte-
rior. Phone: 250-537-0629. 04-16

1991 Jeep Cherokee 4x4, 4 door,
white, auto, Trailer package, great
tires, alloy rims. Runs good, could
use some work, great island vehicle.
$800 obo. 537-2950. 04-02

1998 Honda CRV, AWD, 4cyl, auto,
key less entry, CD player, A/C, cruise,
comes with roof racks plus roof box,
fuel efficient, clean inside and out
$6200 Phone 250-653-4102.. 04-02

AUTO PARTS & ACCESS

Stealth 3 bike rack for van or hatch-
back. Holds 3 bikes. $30. Call 537-
2967. 04-16

Alpine car stereo, still in the box,
never used. Has MP3 hookup, Ipod
hookup, blue, illumination, detatch-
able with carrying case. $200 0BO.
Phone: 250-537-1047. 04-16

155 piece mechanical socket set.
brand new. $125.00. Phone: 250-
538-7048. 04-02

Used snow tires, P215 70R15, 1 pair
used, $50. 2 singles, new $35 each.
250-537-5482. 04-02

GMC Jimmy 1987 4X4, new engine
from a 92’, clutch needs work but
drives but cannot be insured until it
receives a vehicle inspection. a v.i.
can be done by most mechanic shops.
Phone: 250-537-1403. 04-02

Wanted: Bush box, Mac & Blo style,
for Toyota pickup. Call Dave Phillips
at 537-7481. 03-05

3 e B
742 Wene y

WE MAKE WINE FUN
AND AFFORDABLE

® On Premises Wine and Beer Making

* Premium Wine and Beer Kits
¢ Full selection of wine and beer supplies for home brewing

131 Price Rd 250-931-1963 Hours: Tue. - Sat. 12:30 - 4:30 or by appt.

“‘:.-

Saltspring Auto Supply

Visit us for all of your Auto Parts & Supply needs

Open 7 Days A Week:

Mon. to Fri. 7:30am to 6pm
== Sat. 8am fo 5pm / Sun. 10am to 4pm

® Ladysmith -
© BB Auto Supply © JB Downtown

© (olwood Langford Auto Supply @ JB Precision

Ph: 250-537-5507

106 Jackson Avenue, Saltspring Island,
Fax: 250-537-2810 Email: ssap@jbgroup.ca

Mr. Mark Rithaler,
General Manager
S.S.1. Division wel-
comes all old and
new customers of
SLEGG LUMBER
to call him at
537-4978 for

all your building
requirements,
large or small.

Fax:

937-4945

Competitive Prices, Friendly Staff and
ALL your Building Needs Under One Roof!!

slegg‘ﬁbl‘umher"f iy

“Why Pay More?”

E"’hm

Business Hours:
Mon - Friday:
7:00am - 5:00pm
Saturday:
8:30am - 5:00pm

Mark Rithaler
537-4978
BIKES

BOATS & MARINE

BOATS & MARINE

BOATS & MARINE

Norco Bushpilot 15” 21 speed with
kickstand added. $600 new, now
$300. Monica days and eves. 537-
2967. 04-16.

BMX Skatepark trick bike for sale,
Swivel front wheel, stand bars on
back, near new condition. Bought
for $392. Asking $300. Rythm (250)
931-7193. 04-02

BOATS AND MARINE

Looking for a small 5hp motor for
around $100. Phone: 25- 930-0377.
04-30

4 hp outboard, Seagull Century
100, $179. this thing will never
die, tested, English made. Email:
saltspringisland@hotmail.com. 04-30

Garmin 48 GPS. Never used. Incl.
case, manual, new batteries, spare
antenna. Ideal for boat. $40 250-537-
9215. 04-30

16 foot Chrysler sailboat with 20 foot
aluminum mast, boom, 2 sails and rig-
ging. Fast, planing hull, made to race.
Much like a Laser, but faster. Trailer
included. Will consider a trade for a
kayak. Call 537-2950. 04-30

A
i
e

222 Upper Ganges Road

at the head of Ganges Harbour
Phone (250) 537-4202
Fax (250) 537-4029

“The Gulf Islands’ only complete Marine Service Center”

Honda * Mercruiser ¢ Volvo * Yanmar
Marine Parts & Service, Gas & Diesel

Power Boat Haulouts ¢ Hull Repairs
) Shlpwrlght Services ¢ Towing * Chase Boat

ol
U

Factory Certified Mechanics

Mobile

==MARINE & EQUIPMENT

VHF 16 “Enterprize”

VHF 66A/68 “Harbours End Marine”
www.harboursendmarine.com
harboursend@shaw.ca

Outboard Motor - person who had
an ad for an outboard motor for sale,
please call back to 537-2905 and
leave message again. Your ad was
lost in a power outtage, sorry - The
Islands Marketplace.

16’ Double Eagle runabout. Good
condition, professionally rebuilt, full
canvas, older trailer. 115 hp John-
son is running but needs work. Can
be seen in Fulford. $1800.00 Please
call 250-538-8609.. 04-16

Pontoon Boat (River Tamer) 1200
Denier PVC construction Aluminium
frame, seat, oars, leg rest, sidebags,
pump. Weights 77 Ibs. 400Ibs ca-
pacity never been used $900. firm
Shawn 250-710-6871. 04-16

Wanted to buy: 3 axle boat trailer for
6 ton, 26 ft. boat with 8ft. beam. 250-
751-6141.02-19

BUILDING ITEMS

Vinyl window, new never installed, 68
in high,94 in wide, cost $2000 new
$900 obo, will deliver. Phone: 250
923 2485. 04-30

Vintage doors, one with crystal knobs.
250-537-5482. 04-30

CHILDREN'S ITEMS

Remote Control Speedboat. White
and blue, approx 2’ long. Used once.
$45 (Liam) Phone: 250 537 4579.
04-16

12" Alum. Lund. Excellent condi-
tion.$1,150.00.250-537-9506. 04-16

Grey folding playpen $35. Phone:
250-537-1047. 04-16

| have a 45 foot 1950 wood trawler.
The Mobro, | am willing to give to
the right person a good vessel free. |
don’t want this boat stripped and left
on the shoreline. Please Email and
describe why you deserve this boat
and if you can afford to maintain it
and pay for the transfer of the title. |
will decide who gets this wonderful
vessel if any one. Thank you. Email:
johnroe006@gmail.com. 04-02

39 ft. liveaboard, fiberglass, diesel
motor, has everything.$25,000. call
david Phone: 250-537-6478. 04-30

Toys for babies in good condition,
baby girls clothes 6-12 months. 537-
2950

Pink baby bouncy chair, music and vi-
brations, folds for travel, comes with
carry bag. Excellent condition. $30
obo. 537-2950.

COLLECTIBLES

Short Wave Radio, Stromber-Carlson,
pre-1932, wood cabinet with drop
down front wings; working order,
excellent condition. Phone: 250-537-
8394. 04-16

Answers are on pg15.
Across

16- | could
19- Aftler John in the NT:

Retrast;

Provided by BestCrosswords.com Used with permission.

1- Ablaze; 6- Chars; 10- H S, exam; 14- Brag; 15- Choir member,;
harsel, 17- Ancient ragion of Asia Minor, 18- Side;
1 20- Labor, 21- Technologist, 23- Arch over
a passa% a8, 25- Be |nna1E 26- Seine conlents; 27- Southpaw, 29-
2- Accountants sheet 33- O Sola

Devastation; 38- Invitation letters; 39- Small batterdes; 40-
Philesopher Kierkegaard; 41- Allaviales; 42- Nose bone; 43- Big

____+36- Call for; 37-

bang cause; 44- Procession; 47- Lislener; 51- Prophetic revelation;
E4- Presidential batileground state; 55- Swenson of "Bensan®; 56-
Basic monedary unit of Greece, 57- Gay,; 58- Depilatory brand;

Q- Examine, search; B0- I'_".nherslnt_'—ﬁ! t:F'F.Im 51- Fill 1o surfeit; 82-
Temer type; 63- Snow convayances;

Dawn

1= Heartbum; 2- It's ground; 3- Grecian architectural style; 4- Train
tarminug; 5- Tth letier of the Greak alphabet; §- British buddy; 7-
Nnmllleaugh B- Eﬁ:muan deity; 8- Sopadific; 10- Fine; 11-
kleu!l: 12- Essential 13- Flavor: 21- 19t letier of the G’eak
alphabet; 22- Aware of, 24- Method, 27- Beau; 28- Morth Cardlina
college; 29- Actress Merkel; 30- Teachers' org.; 31- Pars
possessive; 32- Payment for travel; 33- Ed.'s la; 34-" had it™;
35- Goddess of ferblity in Roman mythalogy; 37- Sans Abode; 38-
Lucid; 40~ Fnzzgdn"nk 41- Break oﬂ"-ﬂi Annul; 43- Calendar abbr.;
44- Hurts; 45- Sleap disorder; 45- Man of many words; 47- all
together, 48. That group; 43 Greased; 50- Bellows; 52- Expression
of disgust, 53- Ask for divine guidance; 5T- Galfar Emie;

The Islands Marketplace CROSSWORD PUZZLE
Rocky Horror Picture Show
Casting Call on Now!

AUDITIONS for the production of The Rocky Horror Show- Live
..... July 30 and 31, August 6 and 7, August 20 and 21
w1th possible holdover to August 27 and 28.

YOU MUST MAKE AN APPOINTMENT TO AUDITION.
We need.... 15 actors/rock’n’roll singers, 1 tap dancer/singer, 1 very
muscular man/singer. Auditions to be held at Mahon Hall. Reading and
Singing auditions will take place April 23 or 2. Dancing Audition is
April 25. Callbacks will be held on May 14 and 15.

To make an audition appointment or for more info please call 250-
537-1091. If you are under 18, you need written parental permission
due to sexually suggestive content!

We do get Letters... nice ones

Dear Sandi

I am the vice president of Salt Spring Literacy. Our co-ordinator,
Rachel, has been telling us all about your wonderful generosity and
support. We really appreciate your help and the help of Island Marketplace.
You’ve advertised for us twice! Your publication is setting such a pro-
active and positive example by supporting community centred, non profit

groups like ours.

Best wishes on Island Marketplace’s continuing success. Shout if

there is anything we can do for you!
Sincerely, Alix Christine Whitfield

Dear Alix...

Thank YOU for reading The Marketplace and using it to spread the

good word of Literacy help in our community! Sandi

shoes in her next feature on
interesting islanders..

Call 537-2905
to tell your story.

Let Tracey take a walk in your

_Crofton Welcomes you

Come join us at the Crofton Saturday Market the most relaxmg
little market in the Cowichan Valley. We are situated in the park beside
the ferry terminal to Saltspring Island. Our hours are from 9am - 2pm.
Wander around and meet our very talented artisans. You’ll see beautiful
Native carvings, handmade clothing and silk-screening, jewellery,
preserves and plants. These are just a few of the things you will see. If
you want to nibble, try Sydney’s “ The Best “ cookies or Jodi’s famous
popcorn. Dogs are more than welcome and they too have a place to
shop at Cheryl’s tent where they’ll find a large selection of cookies
and treats to choose from. After the market you might want to talk a
stroll along our Sea Walk and take in the fabulous view. We’re looking
forward to seeing you

Incredible ocean views at the
guteway to Salt Spring Island

- . ] + Same Great Food plus Gourmet Muffins
and Delicious Homemade Soups _uf#
+ Salt Spring Organic Coffee WO %
* Breakfast & Lunch menu
including Lito’s Daily Entrees
* Take Home and Heat Menu
* New Art from Crofton Art Group

Visit the Galleria for A Nice
Selection of Unique Gift Items

LITO'S CAFE & GALLERIA

&

FANTASTIC COFFEE - GREAT FOOD - GIFTS - CARDS - LOCAL ART

Samantha, Shauna, Jamieson, Jordyn, Nusha, Larissa!!!

Thank you to everyone who entered our contest. It was not easy to choose from the 18 beautifully coloured and creative entries that

we received from Sophia, Jordyn, Alexis, Maddox, Kaitlyn, Shauna, Dawson, Jamison Carey, Larissa, Jordyn, Izak, Zama,

Ava,, Samantha,, Nusha and Gary. Everyone did a fabulous job. "Thank you to our wonderful sponsors who donated great prizes
for the kids which included gift certificates from West of the Moon, 2 Movie Pases from Fritz Cinema, 2 kids classes at Ganges
Yoga Studio and a Yoga Mat as well as Water Bottles from Islands Escapades and Swim Passes from Rainbow Road Pool.
Brightly coloured Helium balloons were donated from Paul Large of Country Grocer. RN g,

WEST OF GANGES @ Rau'nbour o

THE MOON YOGA
TOYSTORE STUDIO

THE ISLANDS

Marketplace
CARPETS, PLYWOOD, LANDSCAPING & MORE TO MAKE YOUR HOME IMPROVEMENT EASY

Island Integrity Isdand Priche

" Kears of Professional, Craalified Experience”
Renovations, Additions, Sunrooms, Custom Construction.
' Jim Anderson

537-0779

Dave
Phillips

“We don’t
stand
behind
our work,
we stand
behind
a tree!”

Bus: 537-2618  cel: 537-7481

BUILDING SUPPLY
# ' ON SALTSPRING d
- 'Y ; l‘ o““o'
wlnsor B ‘ij\;e do on-site

measuring and and can provide
installations on counter tops & doors!

Locally Owned & Uperated:
txpert Advice & Iop Qualty Seryicet

yoted Saltspring isiand's
Business of the ¥ear =2006=

rr: 93 7-9564
Fax: 537-1027

Store Hours:

Mon. to Fri. 7:00 am to 5:30 pm
Saturday: 8:00 am to 5:30 pm
Closed Sunday
E-mail: windsorplywood@ssisland.com

¢ Doors & Windows * Mouldings
« Paints & Stains ¢ Power Tools
* Dock Floats e Lumber
* Hardwood & Laminate Flooring
* Roof Trusses * Plywood Insulation
* Door Shop on-site  Engineered
Wood Products ¢ And Much More!

“Always a pleasure to service our community!”

166 Rainbow Road, SSI ~ www.windsorssi.com

History regides in

By Jim Anderson

40 Years ago I began work in the Fraser Valley as a Carpenter
and Contractor. I was predominantly engaged in commercial work,
building restaurants, schools, industrial buildings, shopping centers
and hospitals. But I also built custom and spec residential homes in
the Abbotsford/Mission Area.

20 years ago I moved to Saltspring with my family and besides
working off island on major construction jobs like the Swartz Bay
Ferry Terminal expansion, major renovations to the Empress Hotel,
Chemainus Hospital, Schools, restaurants and shopping centers
in Duncan and Chemainus area, I also renovated the Saltspring
High School into the Middle School, served as Project Manager
finishing ArtSpring and the Core Inn Youth Project for Bob Jankura
when his health finally failed. And I have been pleased to work
for lovely people on the island building homes, custom renovations
and all manner of construction jobs since that time. I even built the
Windmill you see in Fulford Harbour when the ferry pulls in. Doing
good work for good people and trying to contribute to the special
island way of life we have here is one of the things in my life that I
am most proud of.

CONSTRUCTION/RENO TIPS

First and foremost, find someone you can trust. In my experience
in over 40 years in this field, a contract is only a piece of paper and
the only thing you can really count on is the integrity and honor
of the people you work with and for. In renovations, as everyone
knows construction costs are skyrocketing over the years. Besides
planning as much as is humanly possible beforehand, and employing
someone trusted and dependable, the most important thing is to
maintain the course. Don’t change plans or designs mid stream, and
force yourself to keep your dreams and visions within reach and
within budget. You have to do this right from the start, otherwise
things add up beyond belief.

Study nature, love nature, stay close to nature.
It will never fail you.~ Frank Lloyd Wright

Maids Personally

- House Cleaning & Welcome Home Services

L ] -“ u Want it d'one;' 9
vo T make it happen!

Professional & Bonded

Email:
georgianareehl@shaw.ca

Phone:

250-537-1517



In exterior work, consider building with fir instead of pressure
treated lumber, especially here on Saltspring. If you can maintain
18” from grade with concrete piers, sonotubes or curbs you do not
have to use pressure treated lumber. With changes in materials and
building regulations, stainless steel hangers, brackets and fasteners
are now required when using pressure treated lumber. Costs for
stainless steel instead of galvanized are prohibitive. There are a few
more tips I would like to add. The most cost effective expenses in
building are in the concrete foundation and insulation. Scrimping
with either one of these items is not wise. And as far as building
in the Pacific Northwest, if you are going to splurge, splurge on
windows, skylights and solariums and atriums that bring the outdoors
and natural light inside. Along with an all weather patio area, these
things over time will bring you the most satisfaction and joy in your
home.

Working with customers to create living space that is a joy and a
delight through the years is one of the special things I have enjoyed
in all my years in the construction field. Best of luck and success in
bringing your particular dream into reality.

WATCH FOR MORE SPRING HOME IMPROVEMENT
TIPS AND IDEAS IN OUR MAY 14 ISSUE.

Finally! High Speed
Satellite Internet
starting at $49.99/mo.

systems starting at $199.00
APLORH

imTieMIT S0B¥IicdES

www.xplornet.com

2540 Bowen Road,
Nanaimo, BC V9T 3L3

Ph: 250-758-7301

Fx: 250-758-0294

Email: cercomm@island.net
www.island-communications.com

Serving Vancouver Island and the Gulf Islands for over 25 years

ISLAND
COMMUNIGATIONS LTD.

Your communications specialist

Serving and supporting the community for over 40 years
Garbage dropped off $3.00 per bag
The only full service home pick up $3.75 per bag.
e Spring/Summer Hours

Monday to Friday: 8:00am to 5:00pm
10:00am to 4:00pm

Saturday:

HOREL TRUCKING AND EXCAVATING
Dlggmg the rock for generations!

. gravel, sand, crush rock

soil, fill, brush, stumps, landscape,

il rock demolision, excavations,

| driveways landscaping, rock walls,
block walls, landclearing, hydro and
waterlines, drainage, fence posts

250-653-9581 250-537-6224 465 Dukes Road
jphorel@shaw.ca Saltspring Island, BC V8K 2B6

YNOLDS -

CARPET & UPHOLSTERY CLEANING since 1964

* 24-HOUR FLOOD RESTORATION * Hypo-Allergenic Cleaning Products
* Truck Mounted Steam Cleaning  * Deodorizing & Scotch Guarding

* |[ICRC Certified *Spot Cleaning
* Environmentally Safe Products ~ * Industrial De-Humidifiers
* Wall to Wall Carpet Cleaning & Air Movers

& Area Rugs * Dust Mite Spray

* Tile & Grout Steam Cleaning * Cars, Trucks, RVs, Boats

RESIDENTIAL & COMMERGIAL

250537 4208
250-537-B168
The Islands Marketplace

HOROSCOPE

For your daily stars,

personal horoscopes & more

visit www.patrickarundell.com

ARIES Mar 21st - Apr 20th

A big change occurs in the heavens this week,
putting you back in touch with the side of you
that loves good food and wine, and the odd
expedition to the shops, for some therapy, of
the retail variety. Yet with Saturn about to sneak
back into your health and fitness sector, you'll
need to show a modicum of self discipline. Love
can be both saucy and stormy!

TAURUS Apr 21st - May 21st

If you have been having a few sleepless nights,
perhaps about your love life or because someone
has been less than loyal or sincere, you can
bounce back strongly now. True, things may not
be absolutely perfect, but your sex appeal soars
and this can see new interest heading your way.
Yet when it comes to changes at home, do be
patient Taurus.

GEMINI May 22nd - Jun 21st

Alittle bit of treachery may be around you.
Someone can also tell you something in confi-
dence, and it's essential you don't divulge this.

A repair may also unexpectedly need attending
to at home. It may even be something that you
thought you'd sorted out last year. An older
relative may also need extra support or there can
be inter-generational tensions.

CANCER Jun 22nd - Jul 23rd

Friendships really do make the world go around,
but one person who tends to take your kindness

for granted, could start to grate. If you are some-

one with old fashioned values, good for you, so
don't be tempted to compromise them. Mostly,
don't let anyone browbeat you or put a big quilt
trip on you around money or possessions. Stay
strong Cancer.

LEQ Jul 24th - Aug 23rd

Your sensitivities are set to be heightened, and
so are those of someone you need to deal with.
This could find you and them, almost accidently
getting into a squabble. Part of the problem is
the harsh nature of planet Mars, which squares
to both Mercury and Venus. Charm will take you
everywhere, an inflated ego, nowhere. Better to
adopt a light touch!

VIRGO Aug 24th - Sep 23rd

Saturn rewinds into your zodiac sign after a five
month absence. Perhaps a relationship is not
as ideal as you thought, or requires more work.
Balancing your need for excitement, with the
need for commitment, could be another issue.
This week particularly, you can find yourself
restless. Or is something or someone from your
past, still powerfully at work?

LIBRA Sep 24th - Oct 23rd

This is not a good week to throw caution to the
wind, and especially around property, savings, or
investments. So if you find yourself with a world
beating money making idea on your hands, head
down to your local bank or enterprise centre, to
get some good solid business advice. Funnily
enough, if you do, your project can do really very
well Libra.

SCORPIO Oct 24th - Nov 22nd

Love can sizzle, but only if you and yours can
agree to disagree on some big issues. If you're
looking for a new involvement, you certainly
won't be lacking in charisma and this can draw
someone to your side. You can be more confident
than usual, prepared to cast doubts to the wind.
However, someone at work can seem impervious
to your charms.

SAGITTARIUS Nov 23rd - Dec 21st

You might find someone wants you to help
them out and your first instinct can be to readily
agree to do so. The problem is that later you

may wonder if they've got around you to do

this. However, this can be a time when work can
become more enjoyable, as long as overtime and
excessive pressures, don't close in on your own
personal space.

Bi-weekly horoscope contributed by Patrick Arundell. Visit his website at www.patrickarundell for more great features... see below.

CAPRICORN Dec 22nd - Jan 20th

Fun, fun, fun! Yes, there is a great deal to

look forward to this week, and your love life

in particular can get much more passionate.
However, if you and yours are finding it harder
to get along, jealousy and possessiveness can
rear their heads. Either one of you may want to
be more of a free spirit, the other be more clingy.
Compromise may prove hard.

AQUARIUS Jan 21st - Feb 19th

Even if you have been resistant to getting things
done at home, your drive can go up several
notches this week. Now, if everyone is as equally
galvanized as you are, be it anyone you live with,
or any trades people you have hired, all well and
good. If not, you could easily become frustrated
by the slow pace of things and a few sparks
could fly.

PISCES Feb 20th - Mar 20th

You can prove to be one of the most convivial
members of the zodiac this week, with your
lively mind keen to have lots of bright and bub-
bly chit chat. By midweek, the fortune bringer
Jupiter, still in your sign, links superbly with the
Sun, suggesting that if you are enterprising, your
efforts can see you enjoy a slice of good luck. So,
have confidence Pisces.

Leisure ~ Pleasure 2010

+ Love ~ Romance 2010 - Health ~ Fitness 2010 - Work ~ Wealth 2010 - Myths and Legends -
COLLECTIBLES

COMING EVENTS

RCA Victor Greig Concerto in a- set
of 3 78 RPM records. The Music of
Johann Strauss - set of 4 78 RPM.
Both sets with original bound book
covers, and in excellent condition.
Phone: 250-537-9551. 04-16

COMING EVENTS

Celebrate David Jacquest’s 40th
birthday with ... the Mancubs, Aaron
Trory, Sharon Bailey & the Skinny
Dippers, Palu Rainbowsong, Pogo &
the Carrot Revolution @ the Harbour
House Green Room from 7pm to
11pm. Admission by donation. KIDS
WELCOME!!!

StageCoach Theatre School - FAM-
ILY ENTERTAINMENT - OLIVER on
Friday April 16 at 7 p.m. and Satur-
day April 17 at 2 p.m. at ArtSpring
Theatre. Tickets on sale now - $12
for adults, $8 for kids under 12. SPE-
CIAL GROUP RATES. Get your tickets
today! A kids theatre project that is
not to be missed.

* FRI, APR. 2 - 8pm -
VELVET & KUBA OMS
« SAT., APR. 3-8 to 11pm
DJ HOTNESS
* SUN., APR. 4-7 to 10pm
Jazz w/ T.B.A.

* THURS. APR. 8 - 8 to 11pm
Blues Soul Shakedown & friends
*FRI, APR. 9-8to 11pm
Live Music with T.B.A.

* SAT., APR. 10-8to 11pm
The JESSICA STUART FEW
* SUN., APR. 11 -7 to 10pm
JAZZ/FOLK w/ PRESTON +
BONKOWSKI

SIMS has Talent! Our middle school
kids have tons of talent and we want
to show it off. Come and help us
raise money to pay for a sound sys-
tem in the gym and show community
support, on April 24th, doors open at
6:30 pm, show at 7 pm. Tix $5, in-
cludes dessert + refreshment. Also
silent auction items + raffle tix for
themed baskets.Info: 250-537-0614

Crofton Market - Local Artisans, Be-
side Ferry Terminal from Saturday,
May 1sttill Saturday, September 4th,
2010, 9:00 a.m. to 2:00 p.m. To Be-
come a Vendor or For More Informa-
tion croftonmarket@live.com, 250-
246-8848 or 250-416-0542

Songs of Life: Salt Spring Singers
invite you to their spring concerton
Saturday May 1 at 8 p.m. and Sun-
day May 2 at 2 p.m. at ArtSpring 250
537-2102. Tickets: Adult $16, Senior
$13, Child Under 12 $8, Eyego $5.

(@!SSIMARINARPH:537:5559)

Salt Spring Centre will host battle of
the airbands on Friday may 14th ma-
hon hall at 6:00pm. This special event
is a fundraiser for the sscs leadership
program they will travel to tofina to
study the ecology and first nations art
at the beginning of june. application
to enter are at salt spring books and
are $10. tickets to come on the night
are by donations and will be sold at
the door. This is as all ages event,even
your parents can perform! Music se-
lection must be appropriate and there
will be prizes for best performances
and costume. So tell your friends,
start practising and come on out and
enjoy an evening of entertainment and
fun. Phone: 250-537-5785. 04-30

Salt Spring Island Community Educa-
tion Courses and Workshops. online
at: info ssicommunityed.org or ph.
Pat 250-537-2716.

COMPUTER SERVICES

COMPUTER SERVICES

NP Waclkim

@@[@Lﬁ)@]@@[ﬁ Services

?

Computer Sales & Repairs * Evenings & Weekends

Brien Anderson

Phone: 537-2437

Cell: 538-8271

Email: hackwack@shaw.ca

COMING EVENTS

DISCLAIMER

Conservancy’s public education pre-
sentation on April 23 by invasive
weed expert Glenn Miller, at the Gos-
pel Church on Salt Spring Island at 7:
PM. Miller will speak on Reclaiming
Your Back Yard and Acreage from in-
vasive weeds.. 537-0880 for info.

Alan Moberg! a new radio show
hosted by our one and only Alan Mo-
berg, every Wednesday at noon. Lis-
ten in on cfsi-fm 107.9, or on internet
at www.cfsi-fm.com

To the nice gentlemen who has
phoned seeking the lady advertising
for a companion: wrong number. She
is 62 years old, I'm 74. She is avail-
able; I've been married 22 years and
mean to stay that way. We have the
same interests, but mine, no doubt,
are slower now. Please contact Kath-
leen M. @ Apple Photo. From K.
T.McCurdy.

DRIVING SCHOOL

Toastmasters of Salt Spring meet
every Monday 7PM at the Harbour
House Crofton room. Interested
quests welcomed. Info:537-6934.

Breast Cancer Support Group. Call
Teresa at 537-2259 or Deb at 930-
5333.

COMMUNITY SERVICES

Narcotics Anonymous - 250-537-
2790.

Cornerstone Driving School has new
classes starting soon. Call Shirley at
250-538-1733. 05-29

ELECTRONICY

Flip Mino 60-minute video cam-
era with tripod, wrist strap, ac-
tion mount, & custom lightweight
(experimental)mini-harness to shoot
from front and back of body. Beyond
user-friendly. $50.538-0988. 04-30

Your communications specialist

Surveillance Camera Systems

Didyou A;ell l;votu7 stu;‘f inthe E\(’)vt% bﬁﬁga”d“agp;? % \{e,vtatlt Eﬁ ri,?]?pdg I%
arketplace? , .
537-2905 t P pg:/(veesr chargae?, $1r(])t.3 Oar:e ysgsrﬁsucﬁg;
0 USB cell phone wall charger, $10.
delete your ad. Phone: 250-538-0988. 04-30
COMMUNICATIONS COMMUNICATIONS
Proudly serving Salt Spring Island
for over 25 years!
COMMUNICGATIONS LTD.

VisIr vs For

KENWOOD  arosne avo

AUTHORIZED
DEALER

PORTABLE
Raoros

We are a proud member of the BC Firechiefs Association

2540 Bowen Road,
Nanaimo, BC V9T 3L3
Phone: 250-758-7301 Fax: 250-758-0294
Email: cercomm@island.net

www.island-communications.com
Find Us Here

Country Grocer
Saltspring Infocentre
Rainbow Road Pool
Pretzel Motors
Salt Spring Natureworks
Pharmasave Uptown
Gecko Eco friendly Retail
TJ Beans * Uptown Pizza
Harbour House Hotel
Apple Photo
Jana's Bakery -« Thrifty's Foods
Et Cetera Office Supply
Embe Bakery « Harlan’s
Vesuvius Store
Moby’s Marine Pub
Salt Spring Gas
The Fulford Inn
Salt Spring Island Library
Falconshead * Arigado Sushi
Dagwoods Diner
Harbour Food Market
Salt Spring Books
Barbs Bakery & Bistro
SSI Roasting Company
Shell Gas Station
Ganges Gas * Pattersons
Upper Centre Store
The Local Beer and Wine Store
Pomodoros' Pizza
Raven Street Market
Morningside Organic Bakery
Rock Salt Restaurant & Cafe
On outer islands...
Saturna Island General Store
Miner's Bay Trading Post
Tru Value Grocery, Mayne
Daystar Market on Galiano
Corner Store on Galiano Island
Grand Central - Galiano Island
Galiano Island Books
Denman Island General Store
Medicine Beach Market
Driftwood Auto Service Centre
Southridge Farms Country Store
Lito's Cafe in Crofton
Ocean Soul Caffee - Crofton
Gellatto Market in Crofton
Camelot Coffee House,
Chemainus

SALTSPRING SOLILOQUIES >

“The Endless Chain” ‘-

Here on Saltspring Island
Spring is returning once again.
The world is alive with birdsong,
fragrance and sunshine once
more. I know scientists speak of
the physics of global tilt and solar
declination, but Spring is simply
about hope. And there is no
mathematical equation or function
that deals with hope. Springtime is
a resurrection of hope for a better
world. A world where all of us
can somehow believe again that
we can make it work.

You and I are part of an endless
chain. A sacred community
stretching back through the story
of our planet to the beginning.
It is an unbroken chain called
Life. And its secret, sequestered
continuity somehow unites us with
the meaning and destiny of all
universe.

On at least 5 occasions events
have come close to bringing that
endless chain to an end. And
yet each time somehow life has
survived.

This human form you and I
now share is the latest evolved
configuration which that chain has
taken. Inside us all the dream still
survives. But today it seems that
we are not doing such a good job
preserving that precious dream.
For decades now the warnings
have become more frantic. Forty
years ago Rachael Carson warned
of impending contamination of
our total environment. Aurelio
Peccei eloquently proclaimed that
“We are not confronting the long-
term global problems on which
humanity’s very fate depends.”
And in 1992 the World Scientists
Warning to Humanity direly

predicted  that
we are now on
“collision  course”
extinction.

Today those voices raised in
alarm have reached a crescendo.
Now weallknow thebleak problems
we face. Ozone depletion. Global
warming. Extinction of species.
Environmental toxicity. Depletion
of wvital resources: fish stocks,
energy, fresh water, food. World
poverty, starvation. Biological/
nuclear/chemical weapons and
waste. Out of control technology,
world pandemics. Social
instability. Despair, hopelessness,
alienation.  Vast inequities of
wealth. Economic chaos. Terror.

There are those scientists and
futurologists who believe that
we have now passed the “tipping
point” of no return, beyond which
nothing we can do will save
humankind from extinction.

They may be right.

Our earth is littered with
ancient, lost civilizations that have
long ago vanished from the face of
the earth.

Mohenjo-Daro. Angkor Wat.
Sumer. Akkhad. Stonehenge.
Machu Picchu.  Once confident,
powerful people, cultures and
civilizations  squandered and
forgotten forever. And so it may
well be with us. And this time it
would be total. Not just a people, a
society, or a race lost. Humankind
vanishing forever from Earth.
Gone. Extinct.

And if it were to happen; the last
human lives on Earth gasping and
dying in a toxic, lethal, brutalized
and contaminated world ...With
our last breaths would we finally

Jim Anderson is a writer livingon Saltspring.
He is working on a metamorphosis of the
human mind. © 2010 by Jim Anderson,

Saltspring Island

understand, or will we go reeling
into the darkness in the ultimate
ignominy? Dying never knowing
why we were born.

Still the mystery eludes us.

Why?

Through simply a convergence
of circumstance you and I are
living through the time of destiny
for all humankind. And there is
really nothing special about us. All
we are is human. That is all our life
force has ever been. Lurking in us
all is the potential to do something
incredible and impossible. All
we have to do is find a way to
let that magnificence rise to the
surface in our world today. We
have to answer the challenge that
no one has been able to answer
throughout all history. There is a
secret, primeval problem hidden.
You and I, in this age have to bring
that unknown monster out of the
darkness and into the light of day.
We must face the shattering truth
that we are fundamentally ignorant
of what universe and life itself truly
mean. We have to take the broken
lost pieces of our civilization and
become the human dream that
will galvanize our life force into a
crescendo for magnificent change
together. Nothing less will do.
There is no other way for us to
survive. We human beings on this
earth today are guardians of the
destiny of an entire life force. You
and I must make this impossible
journey for every human being that
has ever walked this earth...

So that the human chain will
not end.

Comments, criticism, compliments?
Talk to me: sevenunion77 @shaw.ca

“An offer you can’t refuse...”

Run it’ til it sells...

Online Advertising

FAEE LOCAL CLASSIFIED ADVERTISING 4

FEE LOCAL

SIFREEISEESSIEREELS

Run your non-commercial classified in  your ad is on our website... where

the Islands Marketplace until is sells.

Call our iree ad hotline at 537-2905 or www.islandsmarketplace.com

the whole world can see it...

M THE ISLANDS
g‘smsnmvg@sw!%

7
ELECTRONICY

Toshiba 2007 TV in Excellent condi-
tion. $200. Call 537-2458. 04-16

Wii game, WWII Aces. Too hard
for the kids only tried it once $20.
Phone: 250-931-7679. 04-16

4 Wii Games - Super Monkey Ball
$10; Sonic and the Secret Rings
$15; Prince of Persia $10; Mario and
Sonic at the Olympic Games(2008)
$20; ask for Lukas. Phone: 250 537
4579. 04-02

FARM EQUIPMENT

1953 Ford NAA Anniversary year col-
lectors tractor and original owners
manual. stock, 2/3 restored. $3200
obo. Call for more info: 250-323-
1969 pls leave msg.. 04-30

John Deere wagon, used little, good
hauler for lengthy lumber, logs or for
horse caravan$1500 obo. 3 pt. hitch,
$200. Antique horse scoop. Bocks
Happy thought, restorable. $150
obo. Call for more info: 250-323-
1969. 04-30

FREE STUFF

The Islands Marketplace offers free
ads to non-commercial advertisers,
for a duration of 3 issues. Leave a
message at 537-2905 with ad de-
scription, phone number and cat-
egory heading; email your ad to
freeads@islandsmarketplace.com;
upload your ad: www.islandsmarket-
place.com; drop it off at our Apple
Photo Drop Box or see page 2 for
mailing address. Most For Rent and
Help wanted ads are considered to
be commercial listings. Rates for
commercial ads are 20 cents per
word or $7/column inch.

FURNITURE

Clean matching couch and chair....
also a recliner.....all inexpensive of-
fers considered!....537-2259. 04-16

Folding futon couch/ bed. $125. Like
new. 250-884-9732 or 537-8808.
04-16

Nice Queen size hidebed, in good
clean condition $50.00. Phone:
250 653 4386. 04-02

Double futon frame & clean mat-
tress, 6 months old. $200 obo. 931-
0093. 04-02

GARDENING

Watch for our gardening page in our
next issue - April 16. call 537-2905
or email us your gardening story to:

info@islandsmarketplace.com

GRAPHIC DESIGN

Big-Bangdesign.com  Print / Web-
sites / signage / LE Giclee prints.
604.873.9417. 04-30p

Islands Marketplace does graphic
design. Creative, professional, expe-
rienced and affordable. Great island
portfolio, including Pegasus Gallery,
Skin Sensations, Jill Louise Camp-
bell & more! Call 537-2905 or email:
info@islandsmarketplace.com

HEALTH & WELLNESS

Rife Energy. Personal, professional
friendly energy work. 537-2259.

HELP WANTED

Someone is needed to cut my lawn
for the season. Must have own equip-
ment. 537-4110. 04-02

HOME IMPROVEMENT

To those people that | have house
painted, many thanks. To those
people that would like to have their
house painted, inside or out, reason-
able rates, please phone Keith, eves at
537-9169 or Teresa days, cell: 737-
7688. 03-05P

FRESH SEAFOOD

Advertise here,

Our ad rates won't hurt ¥ //
your pocketbook... s
call 537-2905 -

R

LIVEGRAB

ﬁes’/_b_,a o
Sy Bay |

.

e
Dany LoMarchant

- Available all weekend
at the Centennial Dock
- Free Delivery

VHF Ch. 16

537-6280 / 531-9613
Ganges, Salt Spring Island, BC

GARDENING

Wild by Nature

Plants Trees and Shrubs

GARDENING
Hydrangea
$8 00 ea

& SALE ENDS APRIL 15TH

(While supplies last. Cash or Cheque Only Please)
239 Vesuvius Bay Rd. Fri. Sat. Sun. 10:00-5:00 537-8422

Lawn & Yard Care
-

pOWERMAN

+ Mowing

« Power washing
- General Yard Cleanup ,
« Trimming
+ Tilling

saltspringmowerman@gmail.com

HEALTH & WELINESS ~ HEALTH & WELLNESS

158A Fulford Ganges Road,

t SP . Salt Spring Island, BC

V8K 2T8

yeCBIE Tel: 250-537-4356

Dr., findrea \/ag'u

April 16 - Earth day issue, Gardening Page,
Grace Point Square & Fulford
Village Pages and more...

April 30 - Spring Car Care, Health &

Wellness, Proud of Our Pets,
Sidney by the Sea Feature, Meet
Me at the Market and more...

THE ISLANDS

CaII Sandi-537-2905
Samantha-537-7302

www. ISLANDSMARKETPLACE comM
HOROSCOPE

MOTORCYCLES

Learn about your lovelife, health, work
and wealth in 2010. Have your per-
sonal horoscope emailed to you. With
over 12 years experience, astrologer
Patrick Arundell provides intelligent,
accurate and unique insight into the
ancient craft of astrology. Visit www.
patrickarundell.com for accurate daily
and weekly horoscopes, anytime.
Check your horoscope online at: www.
astrology-enterprises.com.

1973 Harley Davidson Shovelhead
FX S+S Heads and carb. Kick start.
$4000. 250-653-9899. 04-30

2004 Honda Jazz 50 cc scooter 9000
km, Red & Black. Clean, quiet reli-
able 4 stroke engine. About $3 gets
you 100 km! No motorcycle license
req'd. $1600. 250 537 4579. 04-16

MUSICIANS

LIVESTOCK

“Rosy” tame southdown ewe 2ys old
never lambed to good home as pet or
lawmower. $110. Ewes with Lambs
at foot. Single $150 with twins $200.
250-537-4172. 04-30

Bottle Baby Lambs..different
types..$75.00 each great for 4H proj-
ects. Phone: 250-537-4172. 04-30

MISC. FOR SALE

Drawing table with adjustable angles
and heights. $70. 2 large meditation
cushions, hand upholstered, $400.
Very large willow basket, 32" diam-
gter, 9” depth. 1/2 original price. $80.
250-537-2814. 04-30

Narnia complete box set paperbacks.
Excellent condition.  $20 (Lukas).
Phone: 250 537 4579. 04-16

Sun-Mar compact toilet, electric. Nev-
er used, easy to install. New price over
$1200. Asking $950. 250-537-0612.
04-16

Coded door lock system (Kind Cobra
by Schlage). 250-931-0093. 04-02

MOTORCYCLES

Electric scooter for sale like new 2
years old. asking $7000bo. Phone:
250 930-0377. 04-30

1999 Yamaha scooter. 49cc with a high
performance exhaust for optimal road
speeds. Comes with helmet. $1500.
Phone: 250-537-2335. 04-16

Local Musicians! Get listed Online in
The Salt Spring Musicians Directory.
It's Free! Go to www.vollent.ca/salt-
springmusiciansdirectory or email
dvollrath@saltspring.com with your
contact info.

MUSICAL INSTRUMENTS

Yamaha G2 Grand Piano. Black Gloss
5'7”. Phone: 250-931-7754. 04-30

Yamaha PSR-280 with all the bells &
whistles. Also sustain pedal and key-
board stand. $250. Call Monica 537-
2967. 04-16

Takininee acoustic guitar, G-series,
$350. Epiphone acoustic guitar,
$350. Ihinez geo electric guitar, $300.
Children’s electric guitar with built-in
speaker amp, $80. Shane, 537-4241.
04-02

OFFICE ITEMS

2 drawer black metal filing cabinet,
mint condition. $20. Old oak office
desk, 34” deep x 58” wide x 31” high,
$100. Office desk, 5 ft long x 30"
deep x 30” high. $100. Call 250-537-
4655. 04-02

OFFICE SERVICES

e .-: Custom Orders * Office Products
Regal Catalogues/Sales

- et cetera

(Salt Spring Book & Stationery)
162 Robinson Rd.
By appointment Ph./Fax: 537-5115

—-1’1'

MULTI MEDIA

MULTI MEDIA

{AVINE Water Media Sery; o

PERSONALY

REAL ESTATE

Caring, creative, com(passionate)
content, warm, independent, adven-
turous, slim & trim, lovely, youthful
woman, 62 - Hike, sing, play, dance,
explore, garden, kayak, travel and
more - come join me kind-hearted
and fun-loving man-friend. Detailed
replies plus photo please to drop off
box at Apple Photo, #6-121 McPhil-
lips Ave, Ganges, Saltspring Island,
V8K 2T6, under “K” for Kathleen M.
04-16

CALL 537-2905
TO PLACEYOUR
FREE AD TODAY

MAYNE ISLAND .66 acre sloping lot
with 24x48 double wide&separate
double garage/workshop with studio
above+RV carport+parking areas.
Septic system, community water,
power, plus cable telephone&internet
available,walking dx to ferry, adjoin-
ing .65 ace lot also available $239,000
obo 604 539-9498. 04-30

Once in a lifetime deal! Beautiful,
well built 2 bdrm, 3 bathroom lux
townhome in Summerside. Private
saltwater pool, small gym facility,
stainless steel appliances, hardwood
flooring, cute patio and small yard,
2 minutes from town. Offered at
$348,000. Phone:

250-537-0102.

PRAYER TOOLS

Custom Buddhist/Hindu Rosaries
made on Saltspring Island. NEW THIS
YEAR handmade on-island Statuary.
Visit www.destinationom.com for de-
tails or call 250-537-1792.

fﬁ\NATI O/\,

Malas and Statuary 0
NEW! Meditation Cushions \'ﬁ

New in Stock: Hemp Hulls
See our ad under “Arts & Crafts”

Email: destinationom@yahoo.ca
www.destinationom.com

04-30
RENTALS

Large, bright workshop/studio space
for rent in Ganges. Work space only.
537-4337.. 04-16

4 BDRM / 3 Bath House avail Apr 15
/ May 1 for long term. Sunny. bright
with hardwood & tile. Built 2006,
economical heat pump for htg &
cooling, located near town, on bus
route by Golf Course. Suitable for
family, B & B, or as artist gallery
/ studio. NS/ NP $1800 / month.
Phone: 250-537-4579. 04-02

Room for rent on beautiful Saturna
Isle. Waterfront property close to fer-
ry, stores, etc... High-speed Internet,
power, woodstove & laundry facili-
ties included. Semi-vegetarian pref-
ered. Extra room available for arts,
music or making your own living
room, etc... $400.00/month. Phone:
250-539-2617. 04-02

THIS AD SPACE IS
ONLY $7/ ISSUE

plus GST (that's just $3.50/
week) Ad size:1.85"x 1"

CALL 537-2905

REAL ESTATE

REAL ESTATE

REAMIX

Salt Spring

Audio Recording - Mixing -
Mastering - CD/DVD Duplication - PA Rental
- Remote Location Recording - Digital Video Production,
Editing, DVD Authoring - VHS to DVD -
Budget Websites & Video Hosting - Live Video Streaming.

250-537-0832
=Wy, "Vlngwatermed‘a

Independently Owned and Operated
Patrick Akerman

Fourth Generation Salt Spring Islander

131 Lower Ganges Road
Salt Spring Island, BC V8K 2T2
Fax: (250) 537-9980
E-mail: patrickakerman@telus.net
Website: saltspringislandrealestate.com

250-537-6070 cel
250-537-9977 office
RENTALS WANTED SPIRITUAL WANTED WORK WANTED

House rental needed by family of Gas lawn mower wanted, please Painter for hire! Looking for odd jobs,

five, prepared to rent as early as "Hold Fast Thv Word" email:  saltspringisland@hotmail.  can do minor crack fill,gNeed to Jpaint

April or May, 2010. we have a very
docile and ancient Labrador. We 're
responsible, clean, employed and
caring. Our dog is well behaved. We
need three bedroom+ house with a
garden and/or acreage. Wood stove
and high speed internet. Please
email Anna at alus@shaw.ca.Thank
you. Phone: 403 836-5437. 04-16

Seeking long term rental for April 1st
with gardening option, woodstove,
natural drinking water, close to or
in forest, washer/dryer. We are a
mature couple with a newborn, em-
ployed full time, eco conscious, ho-
listic practitioners, reliable, respect-
ful and handy. Mitchell and Cedar,
resonant.touch@gmail.com. Phone:
250-538-1837. 04-02

SCRAP METAL RECYCLING

g
Metal[ecycling

Free Scrap Car Removal

Call for pick-up from Galiano,
Mayne, Saturna & Pender
Wil pick up.

: Loose metal &
g A appliance drop off,
Fridges & freezers
Cash for non-
ferrous metals.

538-8335
Call for estimates;: 538-7730

Airs Sunday mornings

SALT SPRING RADIO
10am - 10:30am CFSI 107.9FM
www.cfsi-fm.com

7:45 - 8am on KARI 550AM dial
www.kari55.com

SPORTING GOODS

Mount Washington 6pak ski pass,
$315.00. Phone: (250)537-8358. 04-
02

REDUCED!! Men’s ski boots size 10,
skis with bindings and poles. 180
cm. Great shape. $60 obo. Ladies
“shorty” wet suits, blue, size 11/12,
$45. in great condition, worn only 3
times. 537-2950.

TOOLY

Submersible utility pumps 1/6 hp
- portable - classic heavy-duty alumi-
num “simer - geyser ii” Versatile, de-
signed for draining water. 1,260 gph
max pumping capacity. Heavy-duty
aluminum construction maximizes
pump life. Too many features to list.
Requires min 10-amp individual
branch circuit, 5.6-amp full load mo-
tor. Ul and cul listed. ask for Haydn.
Phone: (250)-537-4512. 04-30

15” General bandsaw. Canadian built
little used. Performax 16/32 thick-
ness sander also little used. Rockwell
6” jointer well used. Reasonable of-
fers accepted. Terry. Phone: 250-537-
9820. 04-30

com. 04-30

Rock tumbler, almost free. 250-
653-2354. 04-30

Double bed needed, for toddler.
Must be clean and in good shape.
Phone: 250-537-1047. 04-16

Wanted: Bush box, Mac & Blo style,
for Toyota pickup. Call Dave Phillips
at 537-7481.

Wanted to buy: 3 axle boat trailer
for 6 ton, 26 ft. boat with 8 ft. beam.
250-751-6141.

WORK WANTED

Tile Man Available with 30 years
of experience and local references
too. Small jobs, Big ones. Wall tile,
floor tile and yes all the stone’s and
glass you can think of. Laminate’s
and hardwood too. Phone Walt
at 250 537 9281 or email me at
taztiles@yahoo.com. 04-30

Gardening, Landscaping, Yard
Work, Animal Care. $15/hr ~Call Ju-
lia~ Phone: 250-537-1657. 04-30

please recycle <3

LLLLLLLLLLLLLLLLLLLLLLLL

o’y
e

a few rooms give me a call. 930-0377.
04-30

House cleaning available. Great Salt
spring Island references. Seniors Dis-
counts available. $20/hour. Please call
537-0239. 04-30

Grass cutting and yard clean up. father
and sons team. Phone: 250 538 8204,
04-16

Garden and yard help, especially for
seniors. $15/hour. Call 250-931-7193.
04-02
RUN IT TIL IT SELLS = FREE!!!
GOTTA RESIDENTS CARD = FREE!!

Free Classified Ad Form

for non-commercial listings only ie: car, couch, boat for sale, etc.
(all for affordable business advertising rates at 250-537-2905

1
L e e e e e e = = = =

/7 L i e e T L]

440 Rainbow Rd, Salt Spring Island Don t,be Lazv“‘ 1 PHONE #: 1
Just Do it... Reduce, | CLASSIFIED CATEGORY: '

Ad hotline: 537-2905 Reuse and Recycle! : ' :
H ¥ | E} L] ¥ -1 I I

NEONAG 5 1 01ISSUE Q2ISSUES 0 3ISSUES .

2 . [E]]olalr o ! DESCRIPTION: !
.2 § NlelelofH C | PRICE: :
A Z £ ALlALS NS0 ! YOU CAN MAIL THIS FORM TO: !
@'; 2 vio|M . THE ISLANDS MARKETPLACE, .
== & [P[AlR|al[p]e 1 301 MOBRAE AVE., SALTSPRING ISLAND, BC V8K 1J7 |
= 5 Z [Alrlo|c|alL] | PHONE: 250-537-2905 TOLL FREE: 1-877-537-2905 OR !
ZEEanran i ! EMAIL: FREEADS @ISLANDSMARKETPLACE.COM :
S 23 4 g . OR DROP IT OFF IN OUR DROP BOX AT :
0= 2 5 MELE T 1 APPLE PHOTO, #6 - 121 MCPHILLIPS AVE, |
o< £ S|av/c il SALT SPRING ISLAND. .
I Earth Day i [ - Fri., April 1
Yaurﬂ';'angport'at’z’onSo/ittion... Celebrate Earth Day in our next issue - Fri., April 16

- dedicated to our Planet Earth and all it’s glory!!
ggll UER §
Hﬂﬂﬂw '

Send us your ad, stories, thoughts, events and ideas
to info@islandsmarketplace.com today!

I
; e Plases. . Save the Planet!
? ~ i -

R A | e - .. One Issue at a Time!
ZSB"E:"Z 3ﬂ3ﬂ stnce 1998 \‘; Get The Gulf Islands Buy and Sell
§ Digitally Delivered...

’ Just send us a quick email to:

LI'S FEATURED LISTING: e o

info@islandsmarketplace.com

Salt Spring Island: Pastoral & sunny 1.4 acres, and have The Islands Marketplace

2 bed, 2 bath home, detached garage/workshop, fruit delivered to your email inbox.. FREE!
trees, fenced vegetable garden. Close to everything! —

[dyllic & private - Enjoy the peace!
LiRead.com/1626. htm $379,000

Locally owned and operated,
. we are your one-stop-shop for
- Digital Imaging & Print Solutions :

SEA TO SKY

%5 L1 READ
PROPERTIES

Co(;ner 0{) Lower ganges .
Rai R
?zcrogénfr.ogan(g)zs SMarina) 2 5 O— 5 3 7— 7647

Email: LiRead33@gmail.com - www.LiRead.com’

LAURIE’'S n
& WASTE: (8] \Commarct 14
Services Inc. Large Clean-upg
DROP OFF next

to Country Grocer

@‘5@"‘9‘2)7/‘9) Open: Mon. to Sat.
e e e ey An island family since 1861

8am to 5pm

lMetal Recycling



